import { post, get, upload } from '@/utils/request'

//ES搜索-主页搜索什么都有、指定用户、指定群、群与用户概览
export const ServeSeachQueryAll = (data = {}) => {
  return post('/api/v1/elasticsearch/query-all/v2', data)
}

// ES搜索用户数据
export const ServeQueryUser = (data) => {
  return post('/api/v1/elasticsearch/query-user/v2', data)
}

// ES搜索群组数据
export const ServeQueryGroup = (data) => {
  return post('/api/v1/elasticsearch/query-group', data)
}

//ES搜索聊天记录-主页搜索什么都有、聊天记录
export const ServeQueryTalkRecord = (data = {}) => {
  return post('/api/v1/elasticsearch/query-talk-record', data)
}

//查看存在聊天记录的天数
export const ServeTalkDate = (data) => {
  return post('/api/v1/talk/date', data)
}

//获取会话Id
export const ServeGetSessionId = (data) => {
  return post('/api/v1/talk/session/getId', data)
}

//获取用户所在群聊列表
export const ServeUserGroupChatList = (data) => {
  return post('/api/v1/group/user/list', data)
}
