import dropsize from './dropsize.js'
import focus from './focus.js'
import loading from './loading.js'

const directives = {
  dropsize,
  focus,
  loading
}

export function setupDirective(app: any) {
  for (const key in directives) {
    app.directive(key, directives[key])
  }
}
